using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsSitePriceHistory {

        //고지서 등록/조회
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "연료 타입"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "요금제 타입 id"), Key]
        public int PriceTypeId { get; set; }
        [Display(Name = "요금제 구성 id"), Key]
        [StringLength(20)]
        public string PriceCode { get; set; }
        [Display(Name = "항목 데이터 값")]
        [StringLength(200)]
        public string PriceValue { get; set; }
        [Display(Name = "연도, 월"), Key]
        [StringLength(6)]
        public string PayDate { get; set; }
        [Display(Name = "시작일")]
        public DateTime StartDate { get; set; }
        [Display(Name = "종료일")]
        public DateTime EndDate { get; set; }
        [Display(Name = "청구금액")]
        [StringLength(200)]
        public string PayCharge { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey("PriceCode")]
        public virtual BemsPriceCode PriceCodeNavigation { get; set; }
        [ForeignKey("PriceTypeId")]
        public virtual BemsPriceType PriceType { get; set; }
        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
